
QGIS Application - Bug report #3755

gdalwarp error# 126: cannot find gdal_ECW_JP2ECW.dll

2011-04-17 02:45 PM - howslo -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13814

Description

Using latest trunk; 

command: 

gdalwarp -s_srs EPSG:26910 -t_srs EPSG:2229 -wm 1000 -multi -of GTiff "D:/GIS data/Sources/GeospatialDataGateway - USDA/SLO

county/Digital Raster Graphic County Mosaic by NRCS/geoTiff/drg_s_ca079.tif" "D:/GIS data/Sources/GeospatialDataGateway -

USDA/SLO county/Digital Raster Graphic County Mosaic by NRCS/geoTiff/drg_s_ca079_spcs5-usft_09.tif"

error msgs:

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\bin\\gdalplugins\\1.8\\gdal_ECW_JP2ECW.dll 

126: The specified module could not be found.

ERROR 1: Can't load requested DLL: C:\\OSGeo4W\\bin\\gdalplugins\\1.8\\gdal_ECW_JP2ECW.dll 

126: The specified module could not be found.

ERROR 2: Failed to allocate 375378345 byte source buffer.

[And the dll is located as indentied in error msgs.]

History

#1 - 2011-04-18 12:08 AM - Even Rouault

The "ERROR 1: Can't load requested DLL" aren't significant but "Failed to allocate 375378345 byte source buffer" is. I think it is just due to the huge value

for the -wm parameter.

#2 - 2011-04-18 12:55 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

The error will go away if you remove the gdal-ecw package.

It does not make sense to install it if you then do not copy the dlls from the ERDAS ECW/JP2 SDK in your system.

The "Failed to allocate 375378345 byte source buffer" message can be something else, but I suggest to open another ticket.

2024-04-26 1/1


